### Method

# FwupdPlugin Plugin get_devices

since: 1.5.6

#### Declaration [src]

    GPtrArray*
    fu_plugin_get_devices (
      FuPlugin* self
    )

#### Description [src]

Returns all devices added by the plugin using `fu_plugin_add_device()` and not yet removed with `fu_plugin_remove_device()`.

Available since: 1.5.6

#### Return value

Type: An array of `FuDevice*`

Devices.

The returned data is owned by the instance.